# Falsification of Cyber Physical Systems by Deep Reinforcement Learning

## What is this?

This package is to evaluate deep reinforcement learning technology for falsification of cyber-physical systems.  It contains six models in benchmarks directory.

## Audience

This package is for researchers and developers who evaluates the technology.


## Requirement

- MATLAB
- Simulink
- Stateflow
- Decent distribution of Python >= 3.6
- ChainerRL 0.3.0
- s-taliro

## Usage

run_script runs entire benchmarks

## License

(C) 2019 National Institute of Advanced Industrial Science and Technology (AIST)

Individual files may be copyrighted by other parties.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.                                    

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.                           

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
